#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	Zoiper5
Version		:	5.5.15
Release		:	17.2.0.rel%{?dist}
Summary		:	VoIP Softphone
License		:	see /usr/share/licenses/%{name}-%{version}/copyright

URL		:	https://www.zoiper.com/
			#https://www.zoiper.com/en/voip-softphone/download/current#linux
Source0		:       %{name}-%{version}.%{_arch}.tar.xz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	desktop-file-utils
BuildRequires	:	libv4l-devel

Requires	:	libv4l
#-----------------------------------------------------------------------------
%description
Available for both SIP and IAX systems,
'%{name}' is a phone solution perfectly fit
for end users, service providers, call centers
or any business desiring to benefit from VoIP
communications.

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%license  %{name}-ok_addon/LICENSE
%license  %{name}-ok_addon/copyright
%{_bindir}/%{name}
%{_libdir}/%{name}/zoiper
%{_libdir}/%{name}/icudtl.dat
%{_libdir}/%{name}/Skin.*
%{_libdir}/%{name}/*.ico
%{_libdir}/%{name}/*.wav
%{_libdir}/%{name}/*.bin
%{_libdir}/%{name}/*.pak
%{_libdir}/%{name}/lib*.so
%{_libdir}/%{name}/crashpad_handler
%{_libdir}/%{name}/libvulkan.so.1
%{_libdir}/%{name}/vk_swiftshader_icd.json
%{_libdir}/%{name}/locales/*.pak
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}*.png

#=============================================================================
%prep
%setup -q -c %{name}-%{version}
tar xf %{SOURCE1}


#-----------------------------------------------------------------------------
%build

#-----------------------------------------------------------------------------
%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

#-----------------------------------------------------------------------------
%install

%{__mkdir_p}						\
	 %{buildroot}%{_bindir}				\
	 %{buildroot}%{_libdir}				\
	 %{buildroot}%{_datadir}/applications		\
	 %{buildroot}%{_datadir}/pixmaps		\

%{__cp} 						\
	%{name}-ok_addon/%{name}.desktop		\
	%{buildroot}%{_datadir}/applications

%{__cp} -a 						\
	%{name}						\
	%{buildroot}%{_libdir}

#have the zoiper executable within /usr/bin
%{__ln_s} 						\
	../lib/%{name}/zoiper				\
	%{buildroot}%{_bindir}/%{name}

install -D -pm644					\
	%{name}-ok_addon/%{name}-24.png			\
	%{name}-ok_addon/%{name}-48.png			\
	%{name}-ok_addon/%{name}-96.png			\
	%{name}-ok_addon/%{name}.png			\
	%{buildroot}%{_datadir}/pixmaps
	
desktop-file-install   					\
	--delete-original				\
	--dir %{buildroot}%{_datadir}/applications 	\
	%{buildroot}%{_datadir}/applications/*.desktop 

#-----------------------------------------------------------------------------
%changelog

